[API]
POINTAPI
BitBlt
GetCurrentObject
GetBitmapDimensionEx

[CODE]
Public Function DC_DrawToDC(ByRef hDCSource As Long, ByVal hDestDC As Long, Optional ByVal DestX As Long = 0&, Optional ByVal DestY As Long = 0&) As Boolean
  Dim hBmp As Long
  Dim xType1 As POINTAPI

  hBmp = GetCurrentObject(hDCSource, 7&)
  If Not hBmp = 0& Then
    If Not GetBitmapDimensionEx(hBmp, xType1) = 0& Then
      DC_DrawToDC = Not (BitBlt(hDestDC, DestX, DestY, xType1.X, xType1.Y, hDCSource, 0&, 0&, vbSrcCopy) = 0&)
      End If
    End If
  End Function
